Package: groovy.ui

## [Java] Class ConsoleSupport

- groovy.ui.ConsoleSupport

- Base class for console

  Authors:
    James Strachan

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addStylesToDocument(JTextPane outputArea)`
    `` | `protected Object` | `evaluate(String text)`
    `` | `Style` | `getCommandStyle()`
    `` | `Style` | `getOutputStyle()`
    `` | `Style` | `getPromptStyle()`
    `` | `GroovyShell` | `getShell()`
    `` | `protected void` | `handleException(String text, Exception e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected void addStylesToDocument(JTextPane outputArea)

    - #### protected Object evaluate(String text)

    - #### public Style getCommandStyle()

    - #### public Style getOutputStyle()

    - #### public Style getPromptStyle()

    - #### public GroovyShell getShell()

    - #### protected void handleException(String text, Exception e)